        SUBROUTINE PCMCRT( A,ND,MD,IROW,ICOL,ID )
            COMPLEX A(ND,MD)

           IF (ID .EQ. 0) THEN
               PRINT 7
           ELSE

              PRINT 11, (( A(I,J), J=1,ICOL), I=1,IROW )

           END IF

7        FORMAT (// 10X, 'No Solution.')
11       FORMAT (/// (E10.4, E10.4,'j'/))

            RETURN

          END

